## org.apache.poi.xslf.model
Class CharacterPropertyFetcher<T>

    java.lang.Object
      org.apache.poi.xslf.model.PropertyFetcher<T>
          org.apache.poi.xslf.model.ParagraphPropertyFetcher<T>
              org.apache.poi.xslf.model.CharacterPropertyFetcher<T>

    public abstract class CharacterPropertyFetcher<T>

extends ParagraphPropertyFetcher<T>

Author:
  Yegor Kozlov

Field Summary
`boolean` `isFetchingFromMaster`

Constructor Summary
`CharacterPropertyFetcher(int level)`

Method Summary
`abstract boolean` `fetch(org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties props)`
`boolean` `fetch(org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties props)`

Methods inherited from class org.apache.poi.xslf.model.ParagraphPropertyFetcher
`fetch`

Methods inherited from class org.apache.poi.xslf.model.PropertyFetcher
`getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isFetchingFromMaster

    public boolean isFetchingFromMaster

Constructor Detail

### CharacterPropertyFetcher

    public CharacterPropertyFetcher(int level)

Method Detail

### fetch

    public boolean fetch(org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties props)

  Specified by:
    `fetch` in class `ParagraphPropertyFetcher<T>`

### fetch

    public abstract boolean fetch(org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties props)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.